BZEXE(1)

NOM
bzexe – Compression de fichiers exécutables in situ

SYNOPSIS
bzexe [ nom ... ]

DESCRIPTION
L’utilitaire bzexe permet de compresser des exécutables in situ et de les décompresser automatiquement pour leur exécution (au prix d’une baisse de performance). Par exemple, lors de l’exécution de « bzexe /bin/cat », il crée les deux fichiers suivants :
    -r-xr-xr-x  1 root  bin   9644 Feb 11 11:16 /bin/cat
    -r-xr-xr-x  1 bin   bin  24576 Nov 23 13:21 /bin/cat~
/bin/cat~ est le fichier original et /bin/cat le fichier exécutable auto-extractible. /bin/cat~ peut être supprimé une fois assuré que /bin/cat fonctionne correctement.

Cet utilitaire est particulièrement utile sur des systèmes avec de très petits disques.

OPTIONS

-d  Décompression des exécutables indiqués au lieu de les compresser.

VOIR AUSSI
bzip2(1), znew(1), zmore(1), zcmp(1), zforce(1)

AVERTISSEMENTS
L’exécutable compressé est un script d’interpréteur de commandes. Cela peut créer quelques trous de sécurité. En particulier, l’exécutable compressé repose sur la variable d’environnement PATH pour trouver gzip et d’autres utilitaires (tail, chmod, ln, sleep).

BOGUES
bzexe essaie de conserver les attributs de fichier originaux pour l’exécutable compressé, mais, dans certains cas, il peut être nécessaire de les corriger manuellement en utilisant chmod ou chown.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.